summaryrefslogtreecommitdiffstats
path: root/pike/vagrant/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pike/vagrant/bootstrap.sh')
-rw-r--r--pike/vagrant/bootstrap.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/pike/vagrant/bootstrap.sh b/pike/vagrant/bootstrap.sh
new file mode 100644
index 00000000..6393353e
--- /dev/null
+++ b/pike/vagrant/bootstrap.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+set -e
+
+sudo apt-get update -y
+sudo apt-get install git -y
+git clone https://github.com/openstack-dev/devstack
+cd devstack; git checkout stable/pike
+sudo apt-get install openvswitch-switch -y
+sudo ovs-vsctl add-br br-ex
+ip=$(ip a s eth2 | grep inet | grep -v inet6 | sed "s/.*inet//" | cut -f2 -d' ')
+sudo ip address flush eth2
+sudo ovs-vsctl add-port br-ex eth2
+sudo ip a a $ip dev br-ex
+sudo ip link set dev br-ex up
+sudo ip link set dev eth2 up